TickMeter (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.core

## Class TickMeter

- java.lang.Object
- - org.opencv.core.TickMeter

-     public class TickMeter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TickMeter()`
    `protected` | `TickMeter(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TickMeter` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `long` | `getCounter()`
    `long` | `getNativeObjAddr()`
    `double` | `getTimeMicro()`
    `double` | `getTimeMilli()`
    `double` | `getTimeSec()`
    `long` | `getTimeTicks()`
    `void` | `reset()`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### TickMeter

          protected TickMeter(long addr)

    - #### TickMeter

          public TickMeter()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static TickMeter __fromPtr__(long addr)

    - #### getTimeMicro

          public double getTimeMicro()

    - #### getTimeMilli

          public double getTimeMilli()

    - #### getTimeSec

          public double getTimeSec()

    - #### getCounter

          public long getCounter()

    - #### getTimeTicks

          public long getTimeTicks()

    - #### reset

          public void reset()

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown